Bug 1150 - OpenGL is distorted on SiS
Summary: OpenGL is distorted on SiS
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/SiS (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-21 10:03 UTC by Björn Michaelsen
Modified: 2004-08-21 03:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Björn Michaelsen 2004-08-21 10:03:10 UTC
When I start a OpenGL app all polygons seem to have one edge locked at the top
left corner (0,0). However this only happens with objects having a depth
(z-component). GLSlideshow for example works fine. Every now and then there is
one frame that is partially rendered correct. I used GLForest to test this ..
Here the info about my setup:
----
bjoern@little:~/ > X -version

Release Date: 18 December 2003
X Protocol Version 11, Revision 0, Release 6.7
Build Operating System: Linux 2.6.6-rc1 i686 [ELF] 
Current Operating System: Linux little.sinclair 2.6.8.1 #2 Sat Aug 21 12:18:06
CEST 2004 i686
Build Date: 17 August 2004
----
bjoern@little:~/ > env DISPLAY=":0" glxinfo 
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating, 
    GLX_EXT_import_context, GLX_SGI_make_current_read, GLX_SGIS_multisample
client glx vendor string: SGI
client glx version string: 1.2
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_swap_control, GLX_MESA_swap_frame_usage, GLX_OML_swap_method, 
    GLX_OML_sync_control, GLX_SGI_make_current_read, GLX_SGI_swap_control, 
    GLX_SGI_video_sync, GLX_SGIS_multisample, GLX_SGIX_fbconfig, 
    GLX_SGIX_visual_select_group
GLX extensions:
    GLX_ARB_get_proc_address, GLX_EXT_import_context, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating
OpenGL vendor string: Eric Anholt
OpenGL renderer string: Mesa DRI SiS 20030810
OpenGL version string: 1.2 Mesa 5.0.2
OpenGL extensions:
    GL_ARB_multitexture, GL_ARB_transpose_matrix, GL_ARB_window_pos, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_clip_volume_hint, 
    GL_EXT_compiled_vertex_array, GL_EXT_copy_texture, 
    GL_EXT_draw_range_elements, GL_EXT_packed_pixels, GL_EXT_polygon_offset, 
    GL_EXT_rescale_normal, GL_EXT_separate_specular_color, GL_EXT_subtexture, 
    GL_EXT_texture, GL_EXT_texture3D, GL_EXT_texture_object, 
    GL_EXT_texture_lod_bias, GL_EXT_vertex_array, GL_APPLE_packed_pixels, 
    GL_IBM_rasterpos_clip, GL_MESA_window_pos, GL_NV_texgen_reflection, 
    GL_SGIS_texture_lod
glu version: 1.3
glu extensions:
    GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x22 16 tc  0 16  0 r  .  .  5  6  5  0  0  0  0  0  0  0  0  0 0 None
0x23 16 tc  0 16  0 r  y  .  5  6  5  0  0  0  0  0  0  0  0  0 0 None
0x24 16 tc  0 16  0 r  .  .  5  6  5  0  0 16  0  0  0  0  0  0 0 None
0x25 16 tc  0 16  0 r  y  .  5  6  5  0  0 16  0  0  0  0  0  0 0 None
0x26 16 tc  0 16  0 r  .  .  5  6  5  0  0 32  0  0  0  0  0  0 0 None
0x27 16 tc  0 16  0 r  y  .  5  6  5  0  0 32  0  0  0  0  0  0 0 None
0x28 16 tc  0 16  0 r  .  .  5  6  5  0  0 24  8  0  0  0  0  0 0 None
0x29 16 tc  0 16  0 r  y  .  5  6  5  0  0 24  8  0  0  0  0  0 0 None
0x2a 16 tc  0 16  0 r  .  .  5  6  5  0  0  0  0 16 16 16  0  0 0 Slow
0x2b 16 tc  0 16  0 r  y  .  5  6  5  0  0  0  0 16 16 16  0  0 0 Slow
0x2c 16 tc  0 16  0 r  .  .  5  6  5  0  0 16  0 16 16 16  0  0 0 Slow
0x2d 16 tc  0 16  0 r  y  .  5  6  5  0  0 16  0 16 16 16  0  0 0 Slow
0x2e 16 tc  0 16  0 r  .  .  5  6  5  0  0 32  0 16 16 16  0  0 0 Slow
0x2f 16 tc  0 16  0 r  y  .  5  6  5  0  0 32  0 16 16 16  0  0 0 Slow
0x30 16 tc  0 16  0 r  .  .  5  6  5  0  0 24  8 16 16 16  0  0 0 Slow
0x31 16 tc  0 16  0 r  y  .  5  6  5  0  0 24  8 16 16 16  0  0 0 Slow
----
0000:00:09.0 VGA compatible controller: Silicon Integrated Systems [SiS] 300/305
PCI/AGP VGA Display Adapter (rev 90) (prog-if 00 [VGA])
        Subsystem: Elitegroup Computer Systems: Unknown device 0f20
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        BIST result: 02
        Region 0: Memory at e0000000 (32-bit, prefetchable)
        Region 1: Memory at effe0000 (32-bit, non-prefetchable) [size=128K]
        Region 2: I/O ports at dc00 [size=128]
        Capabilities: [40] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
---
This is a Elitegroup Desknote A90/. I tried the SiS-driver from the Xorg release
and the binary driver sis_drv.o_xorg_gcc3_200804-1.tar.gz from winischhofer.net .
Comment 1 Eric Anholt 2004-08-21 20:26:06 UTC
Already fixed in CVS.  Note that the file you mentioned from Thomas
Winischofer's website was the 2d driver only.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.